Go Back   HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials > Linux Forums > HOWTO-Related Questions

Do you like HowtoForge? Please consider supporting us by becoming a subscriber.
Reply
 
Thread Tools Display Modes
  #1  
Old 4th November 2012, 03:23
krustybaguette krustybaguette is offline
Junior Member
 
Join Date: Nov 2012
Posts: 1
Thanks: 0
Thanked 0 Times in 0 Posts
Default How to Install VMware Player Linux Mint

Read carefully falko's How to Install VMware Player on Ubuntu and Linux Mint. My first attempt with v. 5 (latest) failed with error message "One or more of your processors does not have the necessary 64 bit extensions to run VMware virtual machines." I downloaded the 32 bit version for Linux. see screenshot



Went back and download and installed v 3.1.6 which went without a hitch, but when I started the program I was informed of a need to install necessary pieces so it would work. Failed on the first of about six listed items. Found a command line uninstall which succeeded.

Tried v. 4.0.4 which gave me the same error as v. 5. Joined forums rather than complain in the comments section of "How To Install VMware Player On Ubuntu 11.04/Linux Mint 11"

Next step I have re-installed v. 3.1.6 and when/if I get the same error message I will try to make note of what the Player is trying to install. It's called the VMware Kernel Module Updater. Below I am posting the contents of the setup.log file

Quote:
Nov 03 22:16:16.759: app-3078256320| Log for VMware Workstation pid=23809 version=7.1.6 build=build-744570 option=Release
Nov 03 22:16:16.759: app-3078256320| The process is 32-bit.
Nov 03 22:16:16.759: app-3078256320| Host codepage=UTF-8 encoding=UTF-8
Nov 03 22:16:16.759: app-3078256320| Logging to /tmp/vmware-root/setup-23809.log
Nov 03 22:16:17.014: app-3078256320| modconf query interface initialized
Nov 03 22:16:17.015: app-3078256320| modconf library initialized
Nov 03 22:16:17.043: app-3078256320| Your GCC version: 4.6
Nov 03 22:16:17.051: app-3078256320| Your GCC version: 4.6
Nov 03 22:16:17.062: app-3078256320| Your GCC version: 4.6
Nov 03 22:16:17.103: app-3078256320| Your GCC version: 4.6
Nov 03 22:16:17.114: app-3078256320| Your GCC version: 4.6
Nov 03 22:16:17.174: app-3078256320| Trying to find a suitable PBM set for kernel 3.2.0-23-generic.
Nov 03 22:16:17.179: app-3078256320| Trying to find a suitable PBM set for kernel 3.2.0-23-generic.
Nov 03 22:16:17.183: app-3078256320| Trying to find a suitable PBM set for kernel 3.2.0-23-generic.
----redundant entries snipped----
/tmp/vmware-root/modules/vmmon-only auto-build SUPPORT_SMP=1 HEADER_DIR=/lib/modules/3.2.0-23-generic/build/include CC=/usr/bin/gcc GREP=/usr/bin/make IS_GCC_3=no VMCCVER=4.6
Nov 03 22:16:19.816: app-3078256320| Failed to compile module vmmon!
Googled the phrase "Trying to find a suitable PBM set for kernel 3.2.0-23-generic" which led me to
this site

Scroll down a bit and there's a link marked "here" in red. That link carries you to the site which has posted two different bash scripts to repair the kernel module.

I downloaded the second one listed which is for VMware Workstation 7.15 or Player 3.15. Extract the files to a convenient place such as /home/username/Desktop and open that location in a terminal.
I had to edit line 10 of the file patch-modules_3.2.0.sh to reflect the version of VMware Player that I installed (3.16). Note that this script will apparently work for Workstation installs as well.

Then run sudo ./patch-modules_3.2.o.sh and watch it do its thing. After this the VMware Player not only opens but works....BUT not to create a Win8 VM. I'm still looking for help to overcome the 64 bit issue.

Last edited by krustybaguette; 4th November 2012 at 23:45. Reason: update original post
Reply With Quote
Sponsored Links
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Install Zoneminder 1.25 source wi Ubuntu Server 11.10 64bit, libjpeg-turbo, Cambozola letsharehowto HOWTO-Related Questions 0 15th November 2011 16:23
Some problems after upgrade OS lenny to squeeze matiasCU Installation/Configuration 3 31st May 2011 22:53
Installing The Native Linux Flash Player 9 On Ubuntu squirt Installation/Configuration 22 23rd June 2009 02:21
can't help ispconfig to install please help steve51184 Installation/Configuration 17 20th February 2009 10:37
PPTP causes Postfix reload fpizzinini Server Operation 4 3rd October 2008 19:43


All times are GMT +2. The time now is 11:06.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.